curl --request GET \
--url https://api.whop.com/api/v1/ad_groups/{id} \
--header 'Authorization: Bearer <token>'{
"id": "adgrp_xxxxxxxxxxxx",
"name": "<string>",
"status": "active",
"daily_budget": 6.9,
"created_at": "2023-12-01T05:00:00.401Z",
"updated_at": "2023-12-01T05:00:00.401Z",
"platform_config": {
"typename": "<string>",
"platform": "meta",
"page_id": "<string>",
"instagram_actor_id": "<string>",
"status": "ACTIVE",
"bid_strategy": "LOWEST_COST_WITHOUT_CAP",
"bid_amount": 42,
"daily_budget": 42,
"lifetime_budget": 42,
"end_time": "<string>",
"optimization_goal": "NONE",
"billing_event": "APP_INSTALLS",
"destination_type": "UNDEFINED",
"promoted_object": {},
"attribution_spec": [
{}
],
"publisher_platforms": [
"<string>"
],
"facebook_positions": [
"<string>"
],
"instagram_positions": [
"<string>"
],
"geo_locations": {},
"excluded_geo_locations": {},
"targeting_automation": {}
},
"config": {
"bid_strategy": "lowest_cost",
"bid_amount": 42,
"optimization_goal": "conversions",
"billing_event": "impressions",
"start_time": "<string>",
"end_time": "<string>",
"pacing": "standard",
"frequency_cap": 42,
"frequency_cap_interval_days": 42,
"targeting": {
"countries": [
"<string>"
],
"age_min": 42,
"age_max": 42,
"genders": [
"male"
],
"languages": [
"<string>"
],
"placement_type": "automatic",
"device_platforms": [
"mobile"
],
"interest_ids": [
"<string>"
],
"include_audience_ids": [
"<string>"
],
"exclude_audience_ids": [
"<string>"
]
}
},
"ad_campaign": {
"id": "adcamp_xxxxxxxxxxx",
"title": "<string>",
"platform": "meta",
"status": "active"
}
}Retrieves a single ad group by its unique identifier.
Required permissions:
ad_campaign:readcurl --request GET \
--url https://api.whop.com/api/v1/ad_groups/{id} \
--header 'Authorization: Bearer <token>'{
"id": "adgrp_xxxxxxxxxxxx",
"name": "<string>",
"status": "active",
"daily_budget": 6.9,
"created_at": "2023-12-01T05:00:00.401Z",
"updated_at": "2023-12-01T05:00:00.401Z",
"platform_config": {
"typename": "<string>",
"platform": "meta",
"page_id": "<string>",
"instagram_actor_id": "<string>",
"status": "ACTIVE",
"bid_strategy": "LOWEST_COST_WITHOUT_CAP",
"bid_amount": 42,
"daily_budget": 42,
"lifetime_budget": 42,
"end_time": "<string>",
"optimization_goal": "NONE",
"billing_event": "APP_INSTALLS",
"destination_type": "UNDEFINED",
"promoted_object": {},
"attribution_spec": [
{}
],
"publisher_platforms": [
"<string>"
],
"facebook_positions": [
"<string>"
],
"instagram_positions": [
"<string>"
],
"geo_locations": {},
"excluded_geo_locations": {},
"targeting_automation": {}
},
"config": {
"bid_strategy": "lowest_cost",
"bid_amount": 42,
"optimization_goal": "conversions",
"billing_event": "impressions",
"start_time": "<string>",
"end_time": "<string>",
"pacing": "standard",
"frequency_cap": 42,
"frequency_cap_interval_days": 42,
"targeting": {
"countries": [
"<string>"
],
"age_min": 42,
"age_max": 42,
"genders": [
"male"
],
"languages": [
"<string>"
],
"placement_type": "automatic",
"device_platforms": [
"mobile"
],
"interest_ids": [
"<string>"
],
"include_audience_ids": [
"<string>"
],
"exclude_audience_ids": [
"<string>"
]
}
},
"ad_campaign": {
"id": "adcamp_xxxxxxxxxxx",
"title": "<string>",
"platform": "meta",
"status": "active"
}
}A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
The unique identifier of the ad group.
"adgrp_xxxxxxxxxxxx"
A successful response
An external ad group (ad set) belonging to an ad campaign
The unique identifier for the external ad group.
"adgrp_xxxxxxxxxxxx"
Human-readable ad group name
Current operational status of the ad group
active, paused, inactive Daily budget in dollars (nil for lifetime budgets)
6.9
The datetime the external ad group was created.
"2023-12-01T05:00:00.401Z"
The datetime the external ad group was last updated.
"2023-12-01T05:00:00.401Z"
Meta (Facebook/Instagram) ad set configuration.
Show child attributes
Unified ad group configuration (platform-agnostic)
Show child attributes
The parent ad campaign
Show child attributes
Was this page helpful?